io.vertx.reactivex.ext.auth

## Class HashingAlgorithm

- java.lang.Object
- - io.vertx.reactivex.ext.auth.HashingAlgorithm

-     public class HashingAlgorithm
      extends Object

  Hashing Algorithm. A common interface to interact with any system provided algorithms.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static <any>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HashingAlgorithm(HashingAlgorithm delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `HashingAlgorithm` | `getDelegate()`
    `int` | `hashCode()`
    `String` | `id()` return the symbolic name for the algorithm
    `boolean` | `needsSeparator()` Should the encoded string use the default separator to split fields.
    `static HashingAlgorithm` | `newInstance(HashingAlgorithm arg)`
    `Set<String>` | `params()` return the list of param names required for this algorithm.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final <any> __TYPE_ARG

  - ### Constructor Detail

    - #### HashingAlgorithm

          public HashingAlgorithm(HashingAlgorithm delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public HashingAlgorithm getDelegate()

    - #### id

          public String id()

      return the symbolic name for the algorithm
      Returns:
        short id e.g.: sha512.

    - #### params

          public Set<String> params()

      return the list of param names required for this algorithm.
      Returns:
        set of param names.

    - #### needsSeparator

          public boolean needsSeparator()

      Should the encoded string use the default separator to split fields.
      Returns:
        true by default.

    - #### newInstance

          public static HashingAlgorithm newInstance(HashingAlgorithm arg)

Copyright © 2018 Eclipse. All rights reserved.